Page MenuHomePhabricator

[RISCV] Add zihintntl compressed instructions
ClosedPublic

Authored by alextsao1999 on Mar 16 2022, 1:36 AM.

Details

Summary

Add zihintntl compressed instructions and some files related to zihintntl.
This patch is base on D121670: [RISCV] Add zihintntl instructions.

Diff Detail

Event Timeline

alextsao1999 created this revision.Mar 16 2022, 1:36 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 16 2022, 1:36 AM
alextsao1999 requested review of this revision.Mar 16 2022, 1:36 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptMar 16 2022, 1:36 AM
alextsao1999 retitled this revision from [RISCV] Add zihintntl instructions to [RISCV] Add zihintntl compressed instructions.Mar 16 2022, 1:39 AM
alextsao1999 edited the summary of this revision. (Show Details)
alextsao1999 added reviewers: craig.topper, asb, jrtc27.
kito-cheng added inline comments.Aug 21 2022, 7:53 PM
llvm/test/MC/RISCV/rv32zihintntlc-valid.s
43

Could you add an invalid check for c.ntl instruction to make sure they can't use without C?
e.g. -mattr=+experimental-zihintntl but no +c.

Fix check no c

alextsao1999 marked an inline comment as done.Aug 22 2022, 3:01 AM
alextsao1999 added inline comments.
llvm/test/MC/RISCV/rv32zihintntlc-valid.s
43

Done

kito-cheng accepted this revision.Aug 23 2022, 12:02 AM
This revision is now accepted and ready to land.Aug 23 2022, 12:02 AM
This revision was landed with ongoing or failed builds.Aug 23 2022, 11:29 PM
This revision was automatically updated to reflect the committed changes.
alextsao1999 marked an inline comment as done.